Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-addr-registration-07.txt - Respond by Sept 29, 2014

From: "Lishan Li" <[email-masked]>
Date: Sun, 28 Sep 2014 21:42:24 +0800 (CST)

Dear all,

I've read this document and support the adoption. Some comments below:

1) section 3, the following sentence:
While using multiple address registration servers does potentially increase the load on DNS, because of how [RFC4703] and [RFC4704] work, this should NOT be an issue.
s/should NOT/should not 
There is no key word of a single 'NOT' in RFC2119.

2) section 3, the following sentence:
If there are two address registration servers and both receive the initial registration and (correctly) update DNS.
s/registration/registration request
This might be more clear.

3) section 3, the following sentence:
Furthermore, the registration server MAY apply certain filter/accept criteria for the address registration requests, particularly for the client chosen domain names.
s/client chosen/client-chosen
This might be more readable.

4) section 4, below the table:
The ADDR-REGISTRATION-REQUEST message is dedicated for clients to initiate an address registration request toward an address registration server.
s/initiate/initiate or refresh
In section 5.2, the ADDR-REGISTRATION-REQUEST message is also used to refresh the registration.

---

From: Qiong <[email-masked]>
Date: Mon, 29 Sep 2014 09:07:18 +0800

Hi all,

I support to forward this draft for publication. Thanks!

Best wishes
Qiong

On Sun, Sep 28, 2014 at 9:42 PM, Lishan Li <[email-masked]> wrote:

> While using multiple address registration servers does potentially
> increase the load on DNS, because of how [RFC4703] and [RFC4704] work,
> this should NOT be an issue.
> s/should NOT/should not
> If there are two address registration servers and both receive the
> initial registration and (correctly) update DNS.
> Furthermore, the registration server MAY apply certain filter/accept criteria
> for the address registration requests, particularly for the client chosen
> domain names.
> The ADDR-REGISTRATION-REQUEST message is dedicated for clients to
> initiate an address registration request toward an address registration
> server.
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>
>

-- 
==============================================
Qiong Sun
China Telecom Beijing Research Institude

Open source code:
lightweight 4over6: *http://sourceforge.net/projects/laft6/
<http://sourceforge.net/projects/laft6/>*
PCP-natcoord:* http://sourceforge.net/projects/pcpportsetdemo/
<http://sourceforge.net/projects/pcpportsetdemo/> *
===============================================

---

From: Sheng Jiang <[email-masked]>
Date: Mon, 29 Sep 2014 06:49:49 +0000

Hi, Lishan,

Thanks for your careful review. Your comments have been addressed and will be reflected in next version.

Best regards,

Sheng

From: dhcwg [mailto:[email-masked]] On Behalf Of Lishan Li
Sent: Sunday, September 28, 2014 9:42 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-addr-registration-07.txt - Respond by Sept 29, 2014

Dear all,